/home/travis/build/boostorg/boost/boost/geometry/algorithms/buffer.hpp File Reference

## Classes

struct | boost::geometry::resolve_variant::buffer< Geometry >
struct | boost::geometry::resolve_variant::buffer< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::buffer< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Distance, GeometryOut >

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::resolve_variant

## Functions

template<typename Input , typename Output , typename Distance >
void | boost::geometry::buffer (Input const &geometry_in, Output &geometry_out, Distance const &distance, Distance const &chord_length=-1)
| Calculates the buffer of a geometry.
template<typename GeometryIn , typename MultiPolygon , typename DistanceStrategy , typename SideStrategy , typename JoinStrategy , typename EndStrategy , typename PointStrategy >
void | boost::geometry::buffer (GeometryIn const &geometry_in, MultiPolygon &geometry_out, DistanceStrategy const &distance_strategy, SideStrategy const &side_strategy, JoinStrategy const &join_strategy, EndStrategy const &end_strategy, PointStrategy const &point_strategy)
| Calculates the buffer of a geometry.
template<typename Output , typename Input , typename Distance >
Output | boost::geometry::return_buffer (Input const &geometry, Distance const &distance, Distance const &chord_length=-1)
| Calculates the buffer of a geometry.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK